# Module db_backend_beh

- Description
- Data Types
- Function Index
- Function Details

Behaviour for DB back-ends.

Copyright © 2013 Zuse Institute Berlin,

Version: $Id$

Authors: Jan Fajerski (`fajerski@zib.de`).

## Description

Behaviour for DB back-ends.

## Data Types

### db()

    db() = any()

### entry()

    entry() =
        {key(), term()} |
        {key(), term(), term()} |
        {key(), term(), term(), term()} |
        {key(), term(), term(), term(), term()} |
        {key(), term(), term(), term(), term(), term()} |
        {key(), term(), term(), term(), term(), term(), term()} |
        {key(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term()} |
        {key(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term()} |
        {key(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term()} |
        {key(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term(),
         term()}

### interval()

    interval() =
        {key()} |
        all |
        {left_bracket(), key(), key(), right_bracket()}

### key()

    key() = term()

'$end_of_table' is not allowed as key() or else iterations won't work with ets!

### left_bracket()

    left_bracket() = '(' | '['

### right_bracket()

    right_bracket() = ')' | ']'

## Function Index

tester_create_db_key/1 |
tester_is_valid_db_key/1 |

## Function Details

### tester_is_valid_db_key/1

    tester_is_valid_db_key(X1 :: term()) -> boolean()

### tester_create_db_key/1

    tester_create_db_key(K :: term()) -> key()

Generated by EDoc, Feb 29 2016, 16:12:20.